package cn.aibreeze.exam.mapper;

import cn.aibreeze.exam.entity.ElehKnowledgeDo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface ElehKnowledgeMapper extends BaseMapper<ElehKnowledgeDo> {

    @Select(value = "select * from eleh_knowledge where tenant = #{tenant} and id > #{questionId} order by id ASC limit 1")
    ElehKnowledgeDo selectQuestion(@Param("tenant") Integer tenant, @Param("questionId") Long questionId);

}
