package cn.aibreeze.exam.mapper;

import cn.aibreeze.exam.entity.ElehSessionQaRecordDo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface ElehSessionQaRecordMapper extends BaseMapper<ElehSessionQaRecordDo> {


    @Select(value = "select max(question_id) from eleh_session_qa_record where tenant = #{tenant} and session_id = #{sessionId} and user_id = #{userId}")
    Long selectSessionMaxQuestionId(@Param("tenant") Integer tenant, @Param("sessionId") String sessionId, @Param("userId") String userId);

}
